" Part of the vim plugin for the plaintext calendar https://dj-bauer.de/plain-text-kalender.html
" Copyright (C) 2019 Daniel Bauer <daniel.bauer@caserio.de>

" This program is free software: you can redistribute it and/or modify
" it under the terms of the GNU General Public License as published by
" the Free Software Foundation, either version 3 of the License, or
" (at your option) any later version.

" This program is distributed in the hope that it will be useful,
" but WITHOUT ANY WARRANTY; without even the implied warranty of
" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
" GNU General Public License for more details.

" You should have received a copy of the GNU General Public License
" along with this program.  If not, see <https://www.gnu.org/licenses/>.


if exists("b:current_syntax")
	finish
endif

syntax match calendarCategory "+[a-zA-Z0-9]*"
syntax match calendarLocation "@[a-zA-Z0-9\._]*"
syntax match calendarStart "\d\{4}-\d\{2}-\d\{2}/\d\{2}:\d\{2}"
syntax match calendarEnd " \d\{4}-\d\{2}-\d\{2}/\d\{2}:\d\{2}"

highlight default link calendarCategory Function
highlight default link calendarLocation Keyword
highlight default link calendarStart Structure
highlight default link calendarEnd Operator

let b:current_syntax = "calendar"
